IF OBJECT_ID('[BuildMaster_UsageInfo]') IS NOT NULL
	DROP VIEW [BuildMaster_UsageInfo]
GO

CREATE VIEW [BuildMaster_UsageInfo]
AS

	SELECT 
            [SqlServerVersion_Text] = @@VERSION,
            [ChangeScripts_Count] = (SELECT COUNT(*)
                                          FROM [DatabaseChangeScripts]
                                         WHERE [Active_Indicator] = 'Y'),
            [AutomatedApprovals_Count] = (SELECT COUNT(*)
                                              FROM [BuildPromotionRequirements] 
                                             WHERE [Requirement_Configuration] IS NULL),
            [ManualApprovals_Count] = (SELECT COUNT(*)
                                          FROM [BuildPromotionRequirements] 
                                         WHERE [Requirement_Configuration] IS NOT NULL),
            [Deployables_Count] = (SELECT COUNT(*) FROM [Deployables]),
            [DeployablesImported_Count] = (SELECT COUNT(*) FROM [DeployablesImported]),
            [DeployableDependencies_Count] = (SELECT COUNT(*) FROM [DeployableDependencies]),
            [ApplicationsWithIssueTrackers_Count] = (SELECT COUNT(*)
                                                       FROM [Applications]
                                                      WHERE [IssueTracking_Provider_Id] IS NOT NULL)
