IF OBJECT_ID('[BuildOutputs_Extended]') IS NOT NULL DROP VIEW [BuildOutputs_Extended]
GO

CREATE VIEW [BuildOutputs_Extended] AS
    SELECT  BO.[Execution_Id]
           ,BO.[Output_Sequence]
           ,BO.[Output_Name]
           ,BO.[Output_Bytes]
           ,BO.[OutputType_Code]
           ,R.[Application_Id]
		   ,R.[Release_Id]
           ,R.[Release_Number]
		   ,B.[Build_Id]
           ,B.[Build_Number]
           ,BP.[Promotion_Id]
		   ,BP.[PipelineStage_Name]
		   ,ENV.[Environment_Id]
		   ,ENV.[Environment_Name]
           ,[ExecutionStart_Date] = E.[Start_Date]
           ,[ExecutionStatus_Name] =
		   CASE
				WHEN E.[ExecutionRunState_Code] = 'P' THEN 'Pending'
				WHEN E.[ExecutionRunState_Code] = 'X' AND E.[CanceledOn_Date] IS NULL THEN 'Executing'
				WHEN E.[ExecutionRunState_Code] = 'X' AND E.[CanceledOn_Date] IS NOT NULL THEN 'Canceled'
				WHEN E.[ExecutionStatus_Code] = 'E' THEN 'Failed'
				ELSE 'Succeeded'
		   END

      FROM [BuildOutputs] BO
INNER JOIN [BuildExecutions] BE
        ON BE.[Execution_Id] = BO.[Execution_Id]
INNER JOIN [Executions] E
        ON E.[Execution_Id] = BO.[Execution_Id]
INNER JOIN [BuildPromotions] BP
        ON BP.[Promotion_Id] = BE.[Promotion_Id]
INNER JOIN [Builds] B
        ON B.[Build_Id] = BP.[Build_Id]
INNER JOIN [Releases] R
        ON R.[Release_Id] = B.[Release_Id]
 LEFT JOIN [Environments] ENV
        ON ENV.[Environment_Id] = BE.[Environment_Id]

GO
