IF OBJECT_ID('[BuildPromotionsScheduled_Extended]') IS NOT NULL DROP VIEW [BuildPromotionsScheduled_Extended]
GO

CREATE VIEW [BuildPromotionsScheduled_Extended] AS

SELECT A.[Application_Id],
       A.[Application_Name],
	   R.[Release_Id],
	   R.[Release_Number],
	   [Release_Name] = COALESCE(R.[Release_Name], R.[Release_Number]),
	   B.[Build_Id],
       B.[Build_Number],
       BPS.[PipelineStage_Name],
	   BPS.[PromoteOn_Date]
  FROM [BuildPromotionsScheduled] BPS
       INNER JOIN [Builds] B
	           ON B.[Build_Id] = BPS.[Build_Id]
	   INNER JOIN [Releases] R
	           ON R.[Release_Id] = B.[Release_Id]
	   INNER JOIN [Applications] A
	           ON A.[Application_Id] = R.[Application_Id]

GO
