IF OBJECT_ID('[Containers_Extended]') IS NOT NULL DROP VIEW [Containers_Extended]
GO

CREATE VIEW [Containers_Extended] AS

SELECT C.*,
       B.[Build_Number],
	   R.[Release_Number],
	   R.[Release_Name],
	   A.[Application_Id],
	   A.[Application_Name],
	   CS.[ContainerSource_Name]

  FROM [Containers] C
       LEFT JOIN [Builds] B
	          ON B.[Build_Id] = C.[Build_Id]
	   LEFT JOIN [Releases] R
	          ON R.[Release_Id] = B.[Release_Id]
	   LEFT JOIN [Applications] A
	          ON A.[Application_Id] = R.[Application_Id]
	   LEFT JOIN [ContainerSources] CS
	          ON CS.[ContainerSource_Id] = C.[ContainerSource_Id]

GO
