EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_GetDependentApplications',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Applications_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all applications with imported deployables from a specified application'
GO

IF OBJECT_ID('[Applications_GetDependentApplications]') IS NOT NULL DROP PROCEDURE [Applications_GetDependentApplications]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_GetDependentApplications]
(
	@Application_Id INT
)
AS
BEGIN

SET NOCOUNT ON

        SELECT * 
          FROM [Applications_Extended]
         WHERE [Application_Id] IN (SELECT [Application_Id]     
                                      FROM [DeployablesImported_Extended] 
                                     WHERE [ImportedFrom_Application_Id] = @Application_Id)

END
GO

GRANT EXECUTE ON [Applications_GetDependentApplications] TO [BuildMasterUser_Role]
