EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Artifacts_GetArtifactsByBuildStatus',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildArtifacts_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a set of artifacts that are associated with a specified build status, optionally filtered by application and release.'
GO


IF OBJECT_ID('[Artifacts_GetArtifactsByBuildStatus]') IS NOT NULL DROP PROCEDURE [Artifacts_GetArtifactsByBuildStatus]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Artifacts_GetArtifactsByBuildStatus]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@BuildStatus_Name VARCHAR(8)
)
AS
BEGIN

	SET NOCOUNT ON
	
	IF @Application_Id IS NULL
	BEGIN
		SELECT *
		  FROM [BuildArtifacts_Slim]
		 WHERE [BuildStatus_Name] = @BuildStatus_Name
	END
	ELSE IF @Release_Number IS NULL
	BEGIN
		SELECT *
		  FROM [BuildArtifacts_Slim]
		 WHERE [Application_Id] = @Application_Id
		   AND [BuildStatus_Name] = @BuildStatus_Name
	END
	ELSE
	BEGIN
		SELECT *
		  FROM [BuildArtifacts_Slim]
		 WHERE [Application_Id] = @Application_Id
		   AND [Release_Number] = @Release_Number
		   AND [BuildStatus_Name] = @BuildStatus_Name
	END
END
GO

GRANT EXECUTE ON [Artifacts_GetArtifactsByBuildStatus] TO [BuildMasterUser_Role]
