EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildOutputs_AddOutput',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Adds a build output report to a specified build execution'
GO

IF OBJECT_ID('[BuildOutputs_AddOutput]') IS NOT NULL DROP PROCEDURE [BuildOutputs_AddOutput]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildOutputs_AddOutput]
(
    @Execution_Id INT,
	@Output_Name VARCHAR(50),
	@Output_Bytes VARBINARY(MAX),
    @OutputType_Code CHAR(1)
)
AS
BEGIN

	SET NOCOUNT ON

	BEGIN TRY
	BEGIN TRANSACTION

	DECLARE @Output_Sequence INT
	SET @Output_Sequence = COALESCE((SELECT MAX([Output_Sequence])
	                                   FROM [BuildOutputs]
							          WHERE [Execution_Id] = @Execution_Id), 0) + 1

	INSERT INTO [BuildOutputs]
	(
		[Execution_Id],
		[Output_Sequence],
		[Output_Name],
	    [Output_Bytes],
		[OutputType_Code]
	)
	VALUES
	(
		@Execution_Id,
		@Output_Sequence,
		@Output_Name,
		@Output_Bytes,
		@OutputType_Code
	)

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0  ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [BuildOutputs_AddOutput] TO [BuildMasterUser_Role]
