EXEC [__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetRecentDeployments',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildExecutions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets recently completed exeuctions that aren''t in a rejected build for any application.'
GO

IF OBJECT_ID('[Builds_GetRecentDeployments]') IS NOT NULL DROP PROCEDURE [Builds_GetRecentDeployments]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetRecentDeployments]
(
	@Execution_Count INT
)
AS
BEGIN

	SET NOCOUNT ON

	IF @Execution_Count IS NOT NULL
		SET ROWCOUNT @Execution_Count

	SELECT *
	  FROM [BuildExecutions_Extended]
	  WITH (READUNCOMMITTED)
	 WHERE [ExecutionRunState_Code] = 'C'
	   AND [BuildStatus_Name] <> 'Rejected'
	 ORDER BY [ExecutionStart_Date] DESC

END
GO

GRANT EXECUTE ON [Builds_GetRecentDeployments] TO [BuildMasterUser_Role]
