EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Containers_CreateContainer',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Container_Id',
    /* Description_Text        */ 'Creates a new container.'
GO

IF OBJECT_ID('[Containers_CreateContainer]') IS NOT NULL DROP PROCEDURE [Containers_CreateContainer]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Containers_CreateContainer]
(
    @Repository_Name NVARCHAR(255),
	@ContainerSource_Id INT,
	@Tag_Name NVARCHAR(100),
	@Build_Id INT = NULL,
	@AddedToBuildIn_Execution_Id INT = NULL,
	@Image_Digest VARCHAR(200) = NULL,
	@Active_Indicator YNINDICATOR = NULL,
    @Container_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

	INSERT INTO [Containers]
	(
		[Build_Id],
		[ContainerSource_Id],
		[AddedToBuildIn_Execution_Id],
		[Repository_Name],
		[Tag_Name],
		[Image_Digest],
		[Active_Indicator]
	)
	VALUES
	(
		@Build_Id,
		@ContainerSource_Id,
		@AddedToBuildIn_Execution_Id,
		@Repository_Name,
		@Tag_Name,
		@Image_Digest,
		COALESCE(@Active_Indicator, 'Y')
	)

	SET @Container_Id = SCOPE_IDENTITY()

END
GO

GRANT EXECUTE ON [Containers_CreateContainer] TO [BuildMasterUser_Role]
