EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'LegacyExecutions_AppendActionLog',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Writes a log message to an action log.'
GO

IF OBJECT_ID('[LegacyExecutions_AppendActionLog]') IS NOT NULL DROP PROCEDURE [LegacyExecutions_AppendActionLog]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LegacyExecutions_AppendActionLog]
(
	@BuildExecution_PlanAction_Id INT,
	@LogEntry_Level INT,
	@LogEntry_Text VARCHAR(MAX)
)
AS
BEGIN

	INSERT INTO [BuildExecution_ActionGroupActionLogEntries]
	(
		[BuildExecution_ActionGroupAction_Id],
		[LogEntry_Sequence],
		[LogEntry_Level],
		[LogEntry_Text]
	)
	SELECT @BuildExecution_PlanAction_Id,
		   COALESCE(MAX([LogEntry_Sequence]),0) + 1,
		   @LogEntry_Level,
		   @LogEntry_Text
	  FROM [BuildExecution_ActionGroupActionLogEntries] 
	  WITH (TABLOCKX) -- added table lock to resolve issue BM-897
	 WHERE [BuildExecution_ActionGroupAction_Id] = @BuildExecution_PlanAction_Id

END
GO

GRANT EXECUTE ON [LegacyExecutions_AppendActionLog] TO [BuildMasterUser_Role]
