EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_CreatePackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Package_Id',
    /* Description_Text        */ 'Creates a new package.'
GO

IF OBJECT_ID('[Packages_CreatePackage]') IS NOT NULL DROP PROCEDURE [Packages_CreatePackage]
GO


SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_CreatePackage]
(
    @Package_Name NVARCHAR(255),
	@PackageSource_Id INT,
	@Version_Text NVARCHAR(50),
	@Build_Id INT = NULL,
	@AddedToBuildIn_Execution_Id INT = NULL,
	@InitialMetadata_SHA1_Bytes BINARY(20) = NULL,
    @Package_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

	INSERT INTO [Packages]
	(
		[Build_Id],
		[PackageSource_Id],
		[AddedToBuildIn_Execution_Id],
		[Package_Name],
		[Version_Text],
		[InitialMetadata_SHA1_Bytes],
		[Original_PackageSource_Feed_Name],
		[Original_PackageSource_Feed_Url],
		[Active_Indicator]
	)
	VALUES
	(
		@Build_Id,
		@PackageSource_Id,
		@AddedToBuildIn_Execution_Id,
		@Package_Name,
		@Version_Text,
		@InitialMetadata_SHA1_Bytes,
		NULL,
		NULL,
		'Y'
	)

	SET @Package_Id = SCOPE_IDENTITY()

END
GO

GRANT EXECUTE ON [Packages_CreatePackage] TO [BuildMasterUser_Role]
