EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetActionGroup',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'ActionGroups,ActionGroupActions_Extended,ActionGroupUsage_Slim',
    /* OutputPropertyNames_Csv */  NULL,
    /* Description_Text        */ 'Gets the details of the specified plan, and all the actions associated with the plan.'
GO


IF OBJECT_ID('[Plans_GetActionGroup]') IS NOT NULL DROP PROCEDURE [Plans_GetActionGroup]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetActionGroup]
(
	@ActionGroup_Id INT
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [ActionGroups]
     WHERE [ActionGroup_Id] = @ActionGroup_Id
	IF (@@ROWCOUNT = 0) RAISERROR('Action group %i does not exist.', 16, 1, @ActionGroup_Id)

	SELECT *
	  FROM [ActionGroupActions_Extended]
     WHERE [ActionGroup_Id] = @ActionGroup_Id
	 ORDER BY [Action_Sequence]

	SELECT *
	  FROM [ActionGroupUsage_Slim]
	 WHERE [ActionGroup_Id] = @ActionGroup_Id

END
GO

GRANT EXECUTE ON [Plans_GetActionGroup] TO [BuildMasterUser_Role]
