EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetDeploymentPlans',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'DeploymentPlans,ApplicationDeploymentPlans',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns the deployment plans in the system.'
GO


IF OBJECT_ID('[Plans_GetDeploymentPlans]') IS NOT NULL DROP PROCEDURE [Plans_GetDeploymentPlans]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetDeploymentPlans]
(
	@IncludeAnonymous_Indicator YNINDICATOR
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [DeploymentPlans]
	 WHERE @IncludeAnonymous_Indicator = 'Y' OR [DeploymentPlan_Name] IS NOT NULL
	 ORDER BY [DeploymentPlan_Name]

	SELECT ADP.*
	  FROM [ApplicationDeploymentPlans] ADP
	       INNER JOIN [DeploymentPlans] DP
	               ON DP.[DeploymentPlan_Id] = ADP.[DeploymentPlan_Id]
	 WHERE @IncludeAnonymous_Indicator = 'Y' OR DP.[DeploymentPlan_Name] IS NOT NULL

END
GO

GRANT EXECUTE ON [Plans_GetDeploymentPlans] TO [BuildMasterUser_Role]