EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetPlanByName',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Plans_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the plan which has the specified name and type that is visible to the specified application.'
GO

IF OBJECT_ID('[Plans_GetPlanByName]') IS NOT NULL DROP PROCEDURE [Plans_GetPlanByName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetPlanByName]
(
	@Application_Id INT,
	@Plan_Name VARCHAR(255),
    @PlanType_Code CHAR(1)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [Plans_Extended]
     WHERE [Active_Indicator] = 'Y'
       AND ([Application_Id] = @Application_Id OR [Application_Id] IS NULL)
	   AND [Plan_Name] = @Plan_Name
       AND [PlanType_Code] = @PlanType_Code
     ORDER BY COALESCE([Application_Id], 0) DESC 

END
GO

GRANT EXECUTE ON [Plans_GetPlanByName] TO [BuildMasterUser_Role]