EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetPlansByName',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Plans_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all plans in the system with the specified name and type.'
GO

IF OBJECT_ID('[Plans_GetPlansByName]') IS NOT NULL DROP PROCEDURE [Plans_GetPlansByName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetPlansByName]
(
	@Plan_Name VARCHAR(255),
    @PlanType_Code CHAR(1)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [Plans_Extended]
     WHERE [Active_Indicator] = 'Y' 
       AND [Plan_Name] = @Plan_Name
       AND [PlanType_Code] = @PlanType_Code

END
GO

GRANT EXECUTE ON [Plans_GetPlansByName] TO [BuildMasterUser_Role]