EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ReleaseTemplates_GetTemplateByName',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ReleaseTemplates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified release template by application and name.'
GO

IF OBJECT_ID('[ReleaseTemplates_GetTemplateByName]') IS NOT NULL DROP PROCEDURE [ReleaseTemplates_GetTemplateByName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ReleaseTemplates_GetTemplateByName]
(
    @Application_Id INT,
	@ReleaseTemplate_Name VARCHAR(50)
) 
AS
BEGIN

    SELECT * 
      FROM [ReleaseTemplates]
     WHERE [Application_Id] = @Application_Id
       AND [ReleaseTemplate_Name] = @ReleaseTemplate_Name


END
GO

GRANT EXECUTE ON [ReleaseTemplates_GetTemplateByName] TO [BuildMasterUser_Role]

