EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_GetServersInGroup',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Servers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the servers in a specified server group.'
GO


IF OBJECT_ID('[Servers_GetServersInGroup]') IS NOT NULL DROP PROCEDURE [Servers_GetServersInGroup]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_GetServersInGroup]
(
	@ServerGroup_Server_Id INT,
	@IncludeInactive_Indicator YNINDICATOR = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT S.*
	  FROM [Servers] S
	  INNER JOIN [ServerGroups] SG
	          ON SG.[Server_Id] = S.[Server_Id]
	 WHERE (SG.[ServerGroup_Server_Id] = @ServerGroup_Server_Id) AND
	       (@IncludeInactive_Indicator = 'Y' OR S.[Active_Indicator] = 'Y')
	 ORDER BY S.[Server_Name]

END
GO

GRANT EXECUTE ON [Servers_GetServersInGroup] TO [BuildMasterUser_Role]