EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetReleaseVariables',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ReleaseVariables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the release variables for a specific release.'
GO

IF OBJECT_ID('[Variables_GetReleaseVariables]') IS NOT NULL DROP PROCEDURE [Variables_GetReleaseVariables]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetReleaseVariables]
(
    @Release_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [ReleaseVariables]
     WHERE [Release_Id] = @Release_Id

END
GO

GRANT EXECUTE ON [Variables_GetReleaseVariables] TO [BuildMasterUser_Role]